<?php
require_once ALI_APPLICATION_PATH . '/controllers/Abstract/Action.php'; 

abstract class Ali_Controller_Abstract_Admin
    extends Ali_Controller_Abstract_Action
{        
    protected $_layoutScript = 'admin.phtml'; 
    
    public function init()
    {
        parent::init();
            
        //Init layout
        $this->_view->layout = new Ali_View_Engine(ALI_APPLICATION_PATH 
            . '/views/layouts'); 
            
        // Header tabs
        $this->_view->layout->headerTabs = array(
            'admin' => array(
                'label' => 'Admin',
                'url' => 'admin.php?page=' . Ali_WpPlugin::SLUG,
            ),
            'stats' => array(
                'label' => 'Tracking Stats',
                'url' => 'admin.php?page=' . Ali_WpPlugin::SLUG . '-stats',
            ),
        );
        $this->_view->layout->currentHeaderTab = 'admin';
    }
    
    protected function _redirect($action=NULL, $controller=NULL, $parameters=NULL)
    {
        $this->_redirectUrl(
            $this->_view->adminUrl($action, $controller, $parameters));   
    } 
    
    protected function _redirectUrl($url)
    {
        $this->_viewScript = 'redirect.phtml';   
        $this->_view->url = $url;   
    }
    
    protected function _addMessage($message, $class='updated')
    {
        $messages = is_array($this->_view->layout->messages)
            ? $this->_view->layout->messages
            : array();    
        
        $messages[] = array(
            'class' => $class,
            'text' => $message,
        );  
        
        $this->_view->layout->messages = $messages;
    }
}